Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Install Pluginsby ID
Install Pluginsby ID [message #1755761] Tue, 07 March 2017 16:14 Go to next message
Philip Schröder is currently offline Philip SchröderFriend
Messages: 28
Registered: January 2017
Junior Member
Hello,
I am using Eclipse Mars.2 (Version 4.5.2).
I have read plenty of install instructions like this

http://agile.csc.ncsu.edu/SEMaterials/tutorials/install_plugin/index_v35.html

My problem is 1.1 Find the URL of the update site for the plug-in.

I know that my project needs the Plugins with the IDs
'org.eclipse.ocl.types' and 'org.eclipse.ocl.parser', and maybe some dependencies, therefore I would like to avoid installing them manually.

The problem is, I don't know how to find out were those are included.

When I click on Help->Installation Details->Plug-ins I am only seeing the Plugin-IDs of stuff that is already installed.

But when I am in Help->Install New Software or Help->Check for Updates, it only shows the package names but not the Plugin-IDs.

I guess it is something with OCL, but when I use

http://download.eclipse.org/modeling/mdt/ocl/updates

as a repository link in Help->Install New Software,
there is plenty of different stuff, which I tried to install all, but then there are problems with stuff that I have already installed and an alternate solution is created, which doesn't seem to include the Plugins that I need, since they are not in Installation Details.

Isn't there any way to find out for a Plugin-ID what package I have to install to get the Plugin?

Thank you.

Best regards

Philip.
Re: Install Pluginsby ID [message #1755780 is a reply to message #1755761] Wed, 08 March 2017 06:51 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31353
Registered: July 2009
Senior Member
Note that if you have projects that need specific dependencies, it's more of a question of what's in your target platform rather than what's in your installation. Of course the default target platform is just what's in your installation, but in general you'd be best off to keep separate the concept of what tools do you need installed and running in the IDE versus what bundles/features do you need in the target platform in order to compile and run your projects. Of course you'd also be better off using Neon rather than Mars. If you created your installation with the Installer, it will contain the latest Oomph support and you can use these instructions to find update sites for Eclipse projects:

https://wiki.eclipse.org/Eclipse_Oomph_Authoring#How_to_find_a_P2_repository_at_Eclipse_using_the_Repository_Explorer

I don't think with p2's update support you can directly install a plugin. You have to install a feature. But as I said, you should be building a target platform where you can specify to include specific plugins not focusing on installing individual plugins in the installation itself.

Note also that OCL is a project on the release train, so it will be in the train repository which will be included in your list of available update sites, so you could search for the OCL features and install those.


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Java Path Settings on Linux
Next Topic:Find what plugin is performing an action
Goto Forum:
  


Current Time: Thu Aug 06 13:40:11 GMT 2020

Powered by FUDForum. Page generated in 0.02983 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top